Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707688 - net-misc/ntp-4.2.8_p13-r2 : fails to build with -fno-common or gcc-10
Summary: net-misc/ntp-4.2.8_p13-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 22:21 UTC by Toralf Förster
Modified: 2020-05-02 18:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.34 KB, text/plain)
2020-01-31 22:21 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,210.80 KB, text/plain)
2020-01-31 22:22 UTC, Toralf Förster
Details
environment (environment,90.27 KB, text/plain)
2020-01-31 22:22 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.94 KB, application/x-bzip)
2020-01-31 22:22 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,53.39 KB, application/x-bzip)
2020-01-31 22:22 UTC, Toralf Förster
Details
net-misc:ntp-4.2.8_p13-r2:20200131-215629.log (net-misc:ntp-4.2.8_p13-r2:20200131-215629.log,289.12 KB, text/plain)
2020-01-31 22:22 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,47.52 KB, application/x-bzip)
2020-01-31 22:22 UTC, Toralf Förster
Details
ntp-4.2.8_p14-fno-common.patch (ntp-4.2.8_p14-fno-common.patch,601 bytes, patch)
2020-03-17 07:55 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 22:21:54 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I../../include -I../../lib/isc/include -I../../lib/isc/pthreads/include -I../../lib/isc/unix/include -I./.. -I../../tests -I../libopts   -DUNITY_INCLUDE_CONFIG_H -I../unity -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -ffunction-sections -fdata-sections -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Winit-self -Wstrict-overflow    -Wno-strict-prototypes -fPIE -fPIC -fstack-protector-all -O1 -O2 -pipe -march=native -fno-common -c -o t-log.o t-log.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I../../include -I../../lib/isc/include -I../../lib/isc/pthreads/include -I../../lib/isc/unix/include -I./.. -I../../tests -I../libopts   -DUNITY_INCLUDE_CONFIG_H -I../unity -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -ffunction-sections -fdata-sections -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Winit-self -Wstrict-overflow    -Wno-strict-prototypes -fPIE -fPIC -fstack-protector-all -O1 -O2 -pipe -march=native -fno-common -c -o run-t-log.o run-t-log.c
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -ffunction-sections -fdata-sections -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Winit-self -Wstrict-overflow    -Wno-strict-prototypes -fPIE -fPIC -fstack-protector-all -O1 -O2 -pipe -march=native -fno-common  -pie -Wl,-z,relro -Wl,-z,now -Wl,-O1 -Wl,--as-needed -o test-log t-log.o run-t-log.o version.o  ../libsntp.a ../libopts/libopts.la -pthread -levent_pthreads -levent_core ../../libntp/libntp.a -Wl,--gc-sections  -lssl -lresolv -lpthread -lcrypto -lresolv -lpthread -lcrypto -lresolv -lpthread   ../unity/libunity.a -lm  
libtool: link: x86_64-pc-linux-gnu-gcc -ffunction-sections -fdata-sections -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Winit-self -Wstrict-overflow -Wno-strict-prototypes -fPIE -fPIC -fstack-protector-all -O1 -O2 -pipe -march=native -fno-common -pie -Wl,-z -Wl,relro -Wl,-z -Wl,now -Wl,-O1 -o test-log t-log.o run-t-log.o version.o -pthread -Wl,--gc-sections  -Wl,--as-needed ../libsntp.a ../libopts/.libs/libopts.a -levent_pthreads -levent_core ../../libntp/libntp.a -lssl -lcrypto -lresolv -lpthread ../unity/libunity.a -lm -pthread
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: run-t-log.o:(.bss.progname+0x0): multiple definition of `progname'; t-log.o:(.bss.progname+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.242_p08 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 31 Jan 2020 20:47:54 +0000

emerge -qpvO net-misc/ntp
[ebuild  N    ] net-misc/ntp-4.2.8_p13-r2  USE="ipv6 libressl readline ssl threads -caps -debug -openntpd -parse-clocks -samba (-selinux) -snmp -vim-syntax -zeroconf"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 22:21:57 UTC
Created attachment 610118 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 22:22:00 UTC
Created attachment 610120 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 22:22:02 UTC
Created attachment 610122 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 22:22:05 UTC
Created attachment 610124 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 22:22:08 UTC
Created attachment 610126 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 22:22:11 UTC
Created attachment 610128 [details]
net-misc:ntp-4.2.8_p13-r2:20200131-215629.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 22:22:14 UTC
Created attachment 610130 [details]
temp.tbz2
Comment 8 Jeroen Roovers gentoo-dev 2020-03-17 07:55:49 UTC
Created attachment 620738 [details, diff]
ntp-4.2.8_p14-fno-common.patch
Comment 9 Larry the Git Cow gentoo-dev 2020-05-02 18:59:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=acf6a6498bfbb0294a07072c6acb8cfadcb56695

commit acf6a6498bfbb0294a07072c6acb8cfadcb56695
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-05-02 18:59:34 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-05-02 18:59:50 +0000

    net-misc/ntp: fix building against GCC 10
    
    Closes: https://bugs.gentoo.org/707688
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 .../ntp/files/ntp-4.2.8-gcc10-fno-common.patch     | 22 ++++++++++++++++++++++
 net-misc/ntp/ntp-4.2.8_p14-r2.ebuild               |  1 +
 2 files changed, 23 insertions(+)